// ======================================================================
//
// MainFrm.cpp : implementation of the CMainFrame class
//

#include "stdafx.h"
#include "Test_app.h"
#include "MainFrm.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

// ===================================================================
// CMainFrame

IMPLEMENT_DYNCREATE(CMainFrame, CFrameWnd)

BEGIN_MESSAGE_MAP(CMainFrame, CFrameWnd)
	//{{AFX_MSG_MAP(CMainFrame)
	ON_WM_CREATE()

	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

extern CUsbappApp theApp;

static UINT indicators[] =
{
	ID_SEPARATOR,           // status line indicator
	ID_INDICATOR_CAPS,
	ID_INDICATOR_NUM,
	ID_INDICATOR_SCRL,
};


// ===================================================================
// CMainFrame construction/destruction
CMainFrame::CMainFrame()
{
	// TODO: add member initialization code here
}

CMainFrame::~CMainFrame()
	{ }


int CMainFrame::OnCreate(LPCREATESTRUCT lpCreateStruct)
{   
	CString		DevName;

	CMenu *	pcMenu, * pcSubMenu;
	int uDevCnt=0, uCnt=0, nTT=0;

	if (CFrameWnd::OnCreate(lpCreateStruct) == -1)
		return -1;
	
	if (!m_wndToolBar.Create(this) ||
		!m_wndToolBar.LoadToolBar(IDR_MAINFRAME))
	{
		TRACE0("Failed to create toolbar\n");
		return -1;      // fail to create
	}

	if (!m_wndStatusBar.Create(this) ||
		!m_wndStatusBar.SetIndicators(indicators ,
		  sizeof(indicators)/sizeof(UINT)))
	{
		TRACE0("Failed to create status bar\n");
		return -1;      // fail to create
	}

	// TODO: Remove this if you don't want tool tips or a resizeable toolbar
	m_wndToolBar.SetBarStyle(m_wndToolBar.GetBarStyle() |
		CBRS_TOOLTIPS | CBRS_FLYBY | CBRS_SIZE_DYNAMIC);

	// TODO: Delete these three lines if you don't want the toolbar to
	//  be dockable
	m_wndToolBar.EnableDocking(CBRS_ALIGN_ANY);
	EnableDocking(CBRS_ALIGN_ANY);
	DockControlBar(&m_wndToolBar);

    if ((pcMenu=GetMenu()) != NULL) 
	{
	pcSubMenu=pcMenu->GetSubMenu(0);

		DevName.Format("\\\\.\\Test-0");
		
		hDrvrHnd=CreateFile(DevName, 
						GENERIC_WRITE | GENERIC_READ,
						FILE_SHARE_WRITE | FILE_SHARE_READ,
						NULL,
						OPEN_EXISTING,
						0,
	  					NULL);	

		// enable the menu items if succesful ...
		if (hDrvrHnd != INVALID_HANDLE_VALUE) 
			{    	    
			theApp.hDrvrHnd=hDrvrHnd;
			theApp.OnInitTest();
			pcMenu->EnableMenuItem(0, MF_ENABLED|MF_BYPOSITION);
			pcMenu->EnableMenuItem(1, MF_ENABLED|MF_BYPOSITION);
			pcMenu->EnableMenuItem(2, MF_ENABLED|MF_BYPOSITION);
			pcMenu->EnableMenuItem(3, MF_ENABLED|MF_BYPOSITION);
			pcMenu->EnableMenuItem(4, MF_ENABLED|MF_BYPOSITION);
		    }	

	}

	DrawMenuBar();
	return 0;

}

// ===================================================================
BOOL CMainFrame::PreCreateWindow(CREATESTRUCT& cs)
{
	// TODO: Modify the Window class or styles here by modifying
	//  the CREATESTRUCT cs
	return CFrameWnd::PreCreateWindow(cs);
}


// ===================================================================
// CMainFrame diagnostics
#ifdef _DEBUG
void CMainFrame::AssertValid() const
{
	CFrameWnd::AssertValid();
}

void CMainFrame::Dump(CDumpContext& dc) const
{
	CFrameWnd::Dump(dc);
}

#endif //_DEBUG


// ===================================================================
// CMainFrame message handlers
void CMainFrame::OnDevdesc() 
{
	// TODO: Add your command handler code here
	
}

void CMainFrame::OnConfdesc() 
{
	// TODO: Add your command handler code here
	
}

void CMainFrame::OnAlldesc() 
{
	// TODO: Add your command handler code here
	
}

void CMainFrame::OnStrdesc() 
{
	// TODO: Add your command handler code here
	
}

void CMainFrame::OnInfdesc() 
{
	// TODO: Add your command handler code here
	
}

void CMainFrame::PostNcDestroy() 
{
	// TODO: Add your specialized code here and/or call the base class

	CFrameWnd::PostNcDestroy();
}

