; ===================================================================
;
;       8x930Ax.h
;       header file for usb_enum.asm
;
; ===================================================================

SBTM:     EQU 0FFH
EPINDEX:  EQU 0F1H

TXSTAT:   EQU 0F2H
TXSTAT0:  EQU 0F2H
TXSTAT1:  EQU 0F2H
TXSTAT2:  EQU 0F2H
TXSTAT3:  EQU 0F2H
HTXSTAT0: EQU 0F2H

TXDAT:   EQU 0F3H
TXDAT0:  EQU 0F3H
TXDAT1:  EQU 0F3H
TXDAT2:  EQU 0F3H
TXDAT3:  EQU 0F3H
FTXDAT0: EQU 0F3H
FTXDAT1: EQU 0F3H
FTXDAT2: EQU 0F3H
FTXDAT3: EQU 0F3H
HTXDAT0: EQU 0F3H
HTXDAT1: EQU 0F3H

TXCON:    EQU 0F4H
TXCON0:   EQU 0F4H
TXCON1:   EQU 0F4H
TXCON2:   EQU 0F4H
TXCON3:   EQU 0F4H

FTXCON0:  EQU 0F4H
FTXCON1:  EQU 0F4H
FTXCON2:  EQU 0F4H
FTXCON3:  EQU 0F4H
HTXCON0:  EQU 0F4H

TXFLG:   EQU 0F5H
TXFLG0:  EQU 0F5H
TXFLG1:  EQU 0F5H
TXFLG2:  EQU 0F5H
TXFLG3:  EQU 0F5H
FTXFLG0: EQU 0F5H
FTXFLG1: EQU 0F5H
FTXFLG2: EQU 0F5H
FTXFLG3: EQU 0F5H
HTXFLG0: EQU 0F5H



TXCNT0:   EQU 0F6h
TXCNT1:   EQU 0F6h
TXCNT2:   EQU 0F6h
TXCNT3:   EQU 0F6h

TXCNT:    EQU 0F6H
FTXCNTO:  EQU 0F6H
FTXCNT1:  EQU 0F6H
FTXCNT2:  EQU 0F6H
FTXCNT3:  EQU 0F6H
HTXCNTO:  EQU 0F6H
TXCNTL:   EQU 0F6H
TXCNTH:   EQU 0F7H

HIS:      EQU 0E8H


EPCON:    EQU 0E1H
EPCON0:   EQU 0E1H
EPCON1:   EQU 0E1H
EPCON2:   EQU 0E1H
EPCON3:   EQU 0E1H
HEPCON0:  EQU 0E1H

RXSTAT:   EQU 0E2H
RXSTAT0:  EQU 0E2H
RXSTAT1:  EQU 0E2H
RXSTAT2:  EQU 0E2H
RXSTAT3:  EQU 0E2H
HRXSTAT0: EQU 0E2H

RXDAT:   EQU 0E3H
RXDAT0:  EQU 0E3H
RXDAT1:  EQU 0E3H
RXDAT2:  EQU 0E3H
RXDAT3:  EQU 0E3H

FRXDAT0: EQU 0E3H
FRXDAT1: EQU 0E3H
FRXDAT2: EQU 0E3H
FRXDAT3: EQU 0E3H
HRXDAT0: EQU 0E3H

RXCON:    EQU 0E4H
RXCON0:   EQU 0E4H
RXCON1:   EQU 0E4H
RXCON2:   EQU 0E4H
RXCON3:   EQU 0E4H

FRXCON0:  EQU 0E4H
FRXCON1:  EQU 0E4H
FRXCON2:  EQU 0E4H
FRXCON3:  EQU 0E4H
HRXCON0:  EQU 0E4H

RXFLG:   EQU 0E5H
RXFLG0:  EQU 0E5H
RXFLG1:  EQU 0E5H
RXFLG2:  EQU 0E5H
RXFLG3:  EQU 0E5H


FRXFLG:  EQU 0E5H
FRXFLG0: EQU 0E5H
FRXFLG1: EQU 0E5H
FRXFLG2: EQU 0E5H
FRXFLG3: EQU 0E5H
HRXFLG0: EQU 0E5H


RXCNT0:   EQU 0E6h
RXCNT1:   EQU 0E6h
RXCNT2:   EQU 0E6h
RXCNT3:   EQU 0E6h

RXCNT:    EQU 0E6H
FRXCNT0:  EQU 0E6H
FRXCNT1:  EQU 0E6H
FR2XCNT2:  EQU 0E6H
FRXCNT3:  EQU 0E6H
HRXCNT0:  EQU 0E6H
RXCNTL:   EQU 0E6H
RXCNTH:   EQU 0E7H

UPWCON:   EQU 0DFH
SOFL:     EQU 0D2H
SOFH:     EQU 0D3H
UPINDEX:  EQU 0D4H

UPSTCH:   EQU 0D5H
UPSTCH1:  EQU 0D5H
UPSTCH2:  EQU 0D5H
UPSTCH3:  EQU 0D5H
UPSTCH4:  EQU 0D5H

UPSTAT:   EQU 0D7H
UPSTAT1:  EQU 0D7H
UPSTAT2:  EQU 0D7H
UPSTAT3:  EQU 0D7H
UPSTAT4:  EQU 0D7H

UPCON:    EQU 0CFH
UPCON1:   EQU 0CFH
UPCON2:   EQU 0CFH
UPCON3:   EQU 0CFH
UPCON4:   EQU 0CFH
HSTAT:    EQU 0AEH

UPPWR:    EQU 09AH
HADDR:    EQU 097H
FADDR:    EQU 08FH
;;; for 3.06 DPXL      EQU 084H
;----------------------------------
;- INTERRUPT REGISTERS
;----------------------------------
IEA:      EQU 0B1H
IEN1      EQU 0B1H
IEN0      EQU 0A8H
IPA:      EQU 0B2H
IPA1:     EQU 0B3H

HIE:      EQU 0A1H
FIE:      EQU 0A2H
FIS:      EQU 0C0h
SBI:      EQU 0C0H     ; Backward COmpatible

AA_IE1:   EQU 0B1H
;IE0:     EQU 0A8H
IPH1:     EQU 0B3H
IPL1:     EQU 0B2H
SBIE:     EQU 0A2H

;----------------------------------
;- PCON
;----------------------------------

LC     EQU PCON.5

;----------------------------------
;- PCON1
;----------------------------------


RWU    EQU PCON1.2
GRSM   EQU PCON1.1
GSUS   EQU PCON1.0

;----------------------------------
;- SOFH
;----------------------------------
SFACK  EQU SOFH.7
ASOF   EQU SOFH.6
SOFIE  EQU SOFH.5
FLOCK  EQU SOFH.4
SOFDIS EQU SOFH.3

;----------------------------------
;- EPCON
;----------------------------------
RXSTL    EQU  EPCON.7
TXSTL    EQU  EPCON.6
CTLEP    EQU  EPCON.5
RXSPM    EQU  EPCON.4
RXIE     EQU  EPCON.3
RXEPEN   EQU  EPCON.2
TXOE     EQU  EPCON.1
TXEPEN   EQU  EPCON.7

;----------------------------------
;- RXSTAT
;----------------------------------
RXSEQ    EQU RXSTAT.7
RXSETUP  EQU RXSTAT.6
STOVW    EQU RXSTAT.5
EDOVW    EQU RXSTAT.4
RXDTO    EQU RXSTAT.3
RXVOID   EQU RXSTAT.2
RXERR    EQU RXSTAT.1
RXACK    EQU RXSTAT.0

;----------------------------------
;- TXSTAT
;----------------------------------
TXSEQ   EQU TXSTAT.7
;--
;--
TXFLUSH EQU TXSTAT.4
TXDTO   EQU TXSTAT.3
TXVOID  EQU TXSTAT.2
TXERR   EQU TXSTAT.1
TXACK   EQU TXSTAT.0



;----------------------------------
;- RXCON
;----------------------------------
RXCLR    EQU  RXCON.7
;-
RXWS     EQU  RXCON.5
RXFFRC   EQU  RXCON.4
RXISO    EQU  RXCON.3
ARM      EQU  RXCON.2
ADVWM    EQU  RXCON.1
REVWP    EQU  RXCON.0

;----------------------------------
;- TXCON
;----------------------------------
TXCLR    EQU  TXCON.7
;-
TXWS     EQU  TXCON.5
TXFFRC   EQU  TXCON.4
TXISO    EQU  TXCON.3
ATM      EQU  TXCON.2
ADVRM    EQU  TXCON.1
REVRP    EQU  TXCON.0


;----------------------------------
;- FIE
;----------------------------------
FTXIE0   EQU FIE.0
FRXIE0   EQU FIE.1
FTXIE1   EQU FIE.2
FRXIE1   EQU FIE.3
FTXIE2   EQU FIE.4
FRXIE2   EQU FIE.5
FTXIE3   EQU FIE.6
FRXIE3   EQU FIE.7

;----------------------------------
;- FIFLG
;----------------------------------
FIFLG   EQU 0C0H
FTXD0   EQU FIFLG.0
FRXD0   EQU FIFLG.1
FTXD1   EQU FIFLG.2
FRXD1   EQU FIFLG.3
FTXD2   EQU FIFLG.4
FRXD2   EQU FIFLG.5
FTXD3   EQU FIFLG.6
FRXD3   EQU FIFLG.7

;----------------------------------
;- RXFLG
;----------------------------------
RXFIF1  EQU RXFLG.7
RXFIF0  EQU RXFLG.6
;---
RXEMP   EQU RXFLG.3
RXFULL  EQU RXFLG.2
RXURF   EQU RXFLG.1
RXOVF   EQU RXFLG.0


;----------------------------------
; TXFLG
TXFIF1  EQU TXFLG.7
TXFIF0  EQU TXFLG.6
;---
;---
TXEMP   EQU TXFLG.3
TXFULL  EQU TXFLG.2
TXURF   EQU TXFLG.1
TXOVF   EQU TXFLG.0

; ---------------------------------------------------------------
; USB chapter 9 stuff
;
; ===================================================================
;bRequest Types
;
        GET_STATUS        equ 00h
        CLEAR_FEATURE     equ 01h
        GET_STATE         equ 02h
        SET_FEATURE       equ 03h
        RESERVED2         equ 04h
        SET_ADDRESS       equ 05h
        GET_DESCRIPTOR    equ 06h
        SET_DESCRIPTOR    equ 07h
        GET_CONFIGURATION equ 08h
        SET_CONFIGURATION equ 09h
        GET_INTERFACE     equ 0Ah
        SET_INTERFACE     equ 0Bh
        SYCH_FRAME        equ 0Ch

; ===================================================================
;Descriptor Types
;
        DEVICE_DESCR            equ    01h
        CONFIG_DESCR            equ    02h      
        STRING_DESCR            equ    03h      
        INTERFACE_DESCR         equ    04h      
        ENDPOINT_DESCR          equ    05h

; ===================================================================
;Feature Selectors
;

        DEVICE_REMOTE_WAKEUP   equ     01h
        ENDPOINT_STALL         equ     00h

; ===================================================================
;Recipient Selectors
;

        INTERFACE_TARGET       equ     01h
        ENDPOINT_TARGET        equ     02h
        OTHER_TARGET           equ     03h
        PORT_TARGET            equ     03h

; ===================================================================
;Stall Masks
;
        CLEAR_IN_STALL_MASK    equ     0BFH 
        CLEAR_OUT_STALL_MASK   equ     07FH
        SET_IN_STALL_MASK      equ     040H 
        SET_OUT_STALL_MASK     equ     080H
        
; ===================================================================
;Equates for clearing bits in SBI register
;


EP0_TX_CLR    equ  0FEh
EP0_RX_CLR    equ  0FDh

EP1_TX_CLR    equ  0FBh
EP1_RX_CLR    equ  0F7h

EP2_TX_CLR    equ  0EFh
EP2_RX_CLR    equ  0DFh

EP3_TX_CLR    equ  0BFh
EP3_RX_CLR    equ  07Fh

SUSPEND_EVENT_PENDING_FLAG:    equ 1h
SUSPEND_EVENT_EXECUTED_FLAG:   equ 2h


