// ======================================================================
//
// MainFrm.h : interface of the CMainFrame class
//
// ======================================================================

class CMainFrame : public CFrameWnd
{
protected: // create from serialization only
	CMainFrame();
	DECLARE_DYNCREATE(CMainFrame)

// Attributes
public:
	HANDLE		hDrvrHnd;

// Operations
public:

    // Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMainFrame)
	public:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual void PostNcDestroy();
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CMainFrame();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:  // control bar embedded members
	CStatusBar  m_wndStatusBar;
	CToolBar    m_wndToolBar;

// Generated message map functions
protected:
	//{{AFX_MSG(CMainFrame)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);

	afx_msg void OnDevdesc();
	afx_msg void OnConfdesc();
	afx_msg void OnAlldesc();
	afx_msg void OnStrdesc();
	afx_msg void OnInfdesc();
	afx_msg void OnBrightInc();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

// ======================================================================

